uuid: 435dc7a3-c75c-44ed-a6c1-d0780ae73fd5
langcode: en
status: true
dependencies: {  }
id: gronze_node_etapas_fields
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - node
  - gronze
  - etapas
  - level3
migration_group: gronze_node_fields
label: 'Etapas nodes fields migration from Gronze D7'
source:
  high_water_property:
    name: vid
    alias: 'n'
  plugin: d7_node_gronze
  node_type: etapas
process:
  changed: changed
  nid:
    plugin: migration_lookup
    migration: gronze_node_etapas
    source: nid
    no_stub: true
  body/value: body/0/value
  body/summary: body/0/summary
  body/format:
    plugin: text_format_map
    source: body/0/format
  field_ref_camino:
    plugin: sub_process
    source: field_camino
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_node_caminos
        source: target_id
        no_stub: true
  field_rating_difficulty: field_rating_difficulty
  field_distance: field_distancia
  field_duration_seconds: field_duration_seconds
  field_is_virtual: field_is_virtual
  field_gronze_incline:
    plugin: sub_process
    source: field_gronze_desnivel
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_media_document
          - gronze_media_geo
          - gronze_media_image
          - gronze_media_mapa
          - gronze_media_video
          - gronze_media_youtube
          - gronze_media_vimeo
        source: fid
        no_stub: true
  field_image:
    plugin: sub_process
    source: field_image_main
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_media_document
          - gronze_media_geo
          - gronze_media_image
          - gronze_media_mapa
          - gronze_media_video
          - gronze_media_youtube
          - gronze_media_vimeo
        source: fid
        no_stub: true
  field_intro_text/value: field_texto_intro/0/value
  field_intro_text/format:
    plugin: default_value
    default_value: basic_html
  field_etapa_alt_number: field_etapa_alt_number
  field_ref_location:
    plugin: sub_process
    source: field_etapa_localidades
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_locations
        source: target_id
        no_stub: true
  field_ref_location_alternative:
    plugin: sub_process
    source: field_etapa_alt_localidad
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_locations
        source: target_id
        no_stub: true
  field_gronze_map:
    plugin: sub_process
    source: field_gronze_map
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_media_document
          - gronze_media_geo
          - gronze_media_image
          - gronze_media_mapa
          - gronze_media_video
          - gronze_media_youtube
          - gronze_media_vimeo
        source: fid
        no_stub: true
  field_featured_note: field_nota_destacada
  field_ref_note:
    plugin: sub_process
    source: field_ref_notes
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_node_notes
        source: target_id
        no_stub: true
  field_gronze_number: field_gronze_number
  field_rating_landscape: field_rating_landscape
  field_ref_regions:
    plugin: sub_process
    source: field_ref_regiones
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_regions
        source: target_id
        no_stub: true
  field_ref_route:
    plugin: sub_process
    source: field_ref_recorrido
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_node_recorrido
        source: target_id
        no_stub: true
  field_ref_etapas_next:
    plugin: sub_process
    source: field_etapas_siguientes
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_node_etapas
        source: target_id
        no_stub: true
  field_ref_etapas_previous:
    plugin: sub_process
    source: field_etapas_anteriores
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_node_etapas
        source: target_id
        no_stub: true
  field_etapa_stretch: field_etapa_tramo
  field_ref_etapas_alternatives:
    plugin: sub_process
    source: field_etapas_variantes
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_node_etapas
        source: target_id
        no_stub: true
destination:
  plugin: 'entity:node'
  default_bundle: etapa
migration_dependencies:
  required:
    - gronze_node_etapas
    - gronze_node_caminos
    - gronze_node_notes
    - gronze_node_recorrido
    - gronze_taxonomy_locations
    - gronze_taxonomy_regions
    - gronze_media_document
    - gronze_media_geo
    - gronze_media_image
    - gronze_media_mapa
    - gronze_media_video
    - gronze_media_youtube
    - gronze_media_vimeo
